Bug 768393 - E: description-line-too-long for debuginfo package should be removed
E: description-line-too-long for debuginfo package should be removed
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
24
All Linux
high Severity high
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-16 09:46 EST by Milan Broz
Modified: 2016-09-09 12:54 EDT (History)
8 users (show)

See Also:
Fixed In Version: rpmlint-1.9-3.fc24 rpmlint-1.9-3.fc25 rpmlint-1.9-3.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-31 09:21:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Broz 2011-12-16 09:46:50 EST
Description of problem:

If there is a long package name, automatically generated debuginfo package description is too long, e.g.

$ rpmlint device-mapper-persistent-data-debuginfo-0.0.1-1.fc17.x86_64.rpm 

device-mapper-persistent-data-debuginfo.x86_64: E: description-line-too-long C This package provides debug information for package device-mapper-persistent-data.

IMHO there is no way to change it, rpmlint should probably ignore debuginfo package description.

(Don't ask why we need such long name, I have no idea but it is not a bug:-)

Version-Release number of selected component (if applicable):
rpmlint-1.4-3.fc17.noarch

How reproducible:
just use some long package name and run rpmlint over debuginfo package
Comment 2 Fedora End Of Life 2013-04-03 13:48:12 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Fedora End Of Life 2015-01-09 11:54:46 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 09:00:40 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Gerald Cox 2016-08-23 15:26:19 EDT
Reopening.  I'm assuming that this isn't an issue is is a "won't fix" but it should at least be documented.
Comment 6 Tom "spot" Callaway 2016-08-26 12:26:38 EDT
Ville, is there a way for Fedora to simply ignore the description-line-too-long check for debuginfo packages?
Comment 7 Ville Skyttä 2016-08-26 15:57:07 EDT
Sure, for example this in config would do it:

addFilter("-debuginfo.* description-line-too-long")
Comment 8 Fedora Update System 2016-08-26 16:12:34 EDT
rpmlint-1.9-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-579d75f4d9
Comment 9 Fedora Update System 2016-08-26 16:12:45 EDT
rpmlint-1.9-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-112e4ba4d1
Comment 10 Fedora Update System 2016-08-26 16:12:52 EDT
rpmlint-1.9-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a513081e07
Comment 11 Fedora Update System 2016-08-27 08:52:10 EDT
rpmlint-1.9-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-579d75f4d9
Comment 12 Fedora Update System 2016-08-27 17:49:36 EDT
rpmlint-1.9-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a513081e07
Comment 13 Fedora Update System 2016-08-27 18:21:18 EDT
rpmlint-1.9-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-112e4ba4d1
Comment 14 Gerald Cox 2016-08-28 14:19:39 EDT
I updated to 1.9.3 and am still getting the error message via fedora-review.  Does fedora-review pull in rpmlint from another source somehow?

rpm -qa | grep rpmlint
rpmlint-1.9-3.fc24.noarch

Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
plasma-applet-weather-widget-debuginfo.x86_64: E: description-line-too-long C This package provides debug information for package plasma-applet-weath
er-widget.
2 packages and 0 specfiles checked; 1 errors, 0 warnings.
Comment 15 Fedora Update System 2016-08-31 09:21:55 EDT
rpmlint-1.9-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2016-08-31 12:27:36 EDT
rpmlint-1.9-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2016-09-09 12:54:17 EDT
rpmlint-1.9-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.